import mods.nei.NEI;
import mods.MTUtilsGT;

//all this shit below is for bears change to IC2 Classic nukular stuff
//hide the enricher and remove the recipe
NEI.hide(<IC2:blockMachine2:14>);
recipes.remove(<IC2:blockMachine2:14>);

//remove the default shaped recipe for the charcoal enriched uranium cells and add a new one to the GT canner
recipes.remove(<IC2:item.itemEnrichedUranStuff:104>);
MTUtilsGT.addCustomRecipe("gt.recipe.canner", false, 16, 16, [10000], [<IC2:item.itemCellEmpty>, <gregtech:gt.meta.dust:900>], [<IC2:item.itemEnrichedUranStuff:104>]);
//rename the charcoal enriched uranium cells
<IC2:item.itemEnrichedUraniumCells:12>.displayName = "Thorium Enriched Cell";
<IC2:item.itemEnrichedUraniumCells:13>.displayName = "Thorium Enriched Dual Cell";
<IC2:item.itemEnrichedUraniumCells:14>.displayName = "Thorium Enriched Quad Cell";
<IC2:item.itemEnrichedUranStuff:104>.displayName = "Near-Depleted Thorium Cell";
<IC2:item.itemEnrichedUranStuff:204>.displayName = "Re-Enriched Thorium Cell";

//add canner machine recipe for near depleted uranium cells
recipes.remove(<IC2:item.itemCellUranEmpty:0>);
MTUtilsGT.addCustomRecipe("gt.recipe.canner", false, 16, 16, [10000], [<IC2:item.itemCellEmpty>, <gregtech:gt.meta.ingot:920>], [<IC2:item.itemCellUranEmpty:0>]);

//add a GT mixer recipe for redstone enriched uranium ingot
recipes.remove(<IC2:item.reactorUraniumSimple:0>);
MTUtilsGT.addCustomRecipe("gt.recipe.mixer", false, 16, 16, [10000], [<gregtech:gt.meta.dust:920> *6, <gregtech:gt.meta.dustTiny:921> *3], [<IC2:item.itemEnrichedUranStuff:0>]);
recipes.remove(<IC2:item.itemEnrichedUranStuff:100>);
MTUtilsGT.addCustomRecipe("gt.recipe.canner", false, 16, 16, [10000], [<IC2:item.itemCellEmpty>, <IC2:item.itemEnrichedUranStuff:0>], [<IC2:item.itemEnrichedUranStuff:100>]);
<IC2:item.itemEnrichedUranStuff:0>.displayName = "Slightly Enriched Uranium Ingot";
<IC2:item.itemEnrichedUraniumCells:0>.displayName = "Slightly Enriched Uranium Cell";
<IC2:item.itemEnrichedUraniumCells:1>.displayName = "Slightly Enriched Uranium Dual Cell";
<IC2:item.itemEnrichedUraniumCells:2>.displayName = "Slightly Enriched Uranium Quad Cell";
<IC2:item.itemEnrichedUranStuff:100>.displayName = "Near-Depleted Slightly Enriched Uranium Cell";
<IC2:item.itemEnrichedUranStuff:200>.displayName = "Re-Enriched Slightly Enriched Uranium Cell";

//add a GT mixer recipe for blaze enriched uranium ingot
recipes.remove(<IC2:item.reactorUraniumSimple:1>);
MTUtilsGT.addCustomRecipe("gt.recipe.mixer", false, 16, 16, [10000], [<gregtech:gt.meta.dust:920> *6, <gregtech:gt.meta.dustTiny:940> *3], [<IC2:item.itemEnrichedUranStuff:1>]);
recipes.remove(<IC2:item.itemEnrichedUranStuff:101>);
MTUtilsGT.addCustomRecipe("gt.recipe.canner", false, 16, 16, [10000], [<IC2:item.itemCellEmpty>, <IC2:item.itemEnrichedUranStuff:1>], [<IC2:item.itemEnrichedUranStuff:101>]);
<IC2:item.itemEnrichedUranStuff:1>.displayName = "Enriched Uranium Ingot";
<IC2:item.itemEnrichedUraniumCells:3>.displayName = "Enriched Uranium Cell";
<IC2:item.itemEnrichedUraniumCells:4>.displayName = "Enriched Uranium Dual Cell";
<IC2:item.itemEnrichedUraniumCells:5>.displayName = "Enriched Uranium Quad Cell";
<IC2:item.itemEnrichedUranStuff:101>.displayName = "Near-Depleted Enriched Uranium Cell";
<IC2:item.itemEnrichedUranStuff:201>.displayName = "Re-Enriched Enriched Uranium Cell";

//add a GT mixer recipe for enderpearl enriched uranium ingot
recipes.remove(<IC2:item.reactorUraniumSimple:2>);
MTUtilsGT.addCustomRecipe("gt.recipe.mixer", false, 16, 16, [10000], [<gregtech:gt.meta.dust:920> *6, <gregtech:gt.meta.dustTiny:943> *3], [<IC2:item.itemEnrichedUranStuff:2>]);
recipes.remove(<IC2:item.itemEnrichedUranStuff:102>);
MTUtilsGT.addCustomRecipe("gt.recipe.canner", false, 16, 16, [10000], [<IC2:item.itemCellEmpty>, <IC2:item.itemEnrichedUranStuff:2>], [<IC2:item.itemEnrichedUranStuff:102>]);
<IC2:item.itemEnrichedUranStuff:2>.displayName = "Overly Enriched Uranium Ingot";
<IC2:item.itemEnrichedUraniumCells:6>.displayName = "Overly Enriched Uranium Cell";
<IC2:item.itemEnrichedUraniumCells:7>.displayName = "Overly Enriched Uranium Dual Cell";
<IC2:item.itemEnrichedUraniumCells:8>.displayName = "Overly Enriched Uranium Quad Cell";
<IC2:item.itemEnrichedUranStuff:102>.displayName = "Near-Depleted Overly Enriched Uranium Cell";
<IC2:item.itemEnrichedUranStuff:202>.displayName = "Re-Enriched Overly Enriched Uranium Cell";

//add a GT mixer recipe for nether star enriched uranium ingot
recipes.remove(<IC2:item.reactorUraniumSimple:3>);
MTUtilsGT.addCustomRecipe("gt.recipe.mixer", false, 16, 16, [10000], [<gregtech:gt.meta.dust:920> *6, <gregtech:gt.meta.dustTiny:945> *6], [<IC2:item.itemEnrichedUranStuff:3>]);
MTUtilsGT.addCustomRecipe("gt.recipe.mixer", false, 16, 16, [10000], [<gregtech:gt.meta.dust:920> *6, <gregtech:gt.meta.dustTiny:278> *3], [<IC2:item.itemEnrichedUranStuff:3>]);
recipes.remove(<IC2:item.itemEnrichedUranStuff:103>);
MTUtilsGT.addCustomRecipe("gt.recipe.canner", false, 16, 16, [10000], [<IC2:item.itemCellEmpty>, <IC2:item.itemEnrichedUranStuff:3>], [<IC2:item.itemEnrichedUranStuff:103>]);
<IC2:item.itemEnrichedUranStuff:3>.displayName = "Deathly Enriched Uranium Ingot";
<IC2:item.itemEnrichedUraniumCells:9>.displayName = "Deathly Enriched Uranium Cell";
<IC2:item.itemEnrichedUraniumCells:10>.displayName = "Deathly Enriched Uranium Dual Cell";
<IC2:item.itemEnrichedUraniumCells:11>.displayName = "Deathly Enriched Uranium Quad Cell";
<IC2:item.itemEnrichedUranStuff:103>.displayName = "Near-Depleted Deathly Enriched Uranium Cell";
<IC2:item.itemEnrichedUranStuff:203>.displayName = "Re-Enriched Deathly Enriched Uranium Cell";